refractainstaller-gui (9.5.3) unstable; urgency=low

  * Fix message for bios boot with grub-pc installed.
  * Remove option to keep old home.
  
 -- fsmithred <fsmithred@gmail.com> Sun, 17 Mar 2019 12:20:00 -0700


refractainstaller-gui (9.5.2) unstable; urgency=low

  * Remove null column from yad partition/drive lists.
  * Don't add esp to fstab in bios boot.
  * Test for GRUB_ENABLE_CRYPTODISK before adding it.

 -- fsmithred <fsmithred@gmail.com> Fri, 22 Feb 2019 16:40:00 -0500


refractainstaller-gui (9.5.1) unstable; urgency=low

  * Remove uefi bootloader warning from bios install.
  * Add /run/live/medium to test for live session.

 -- fsmithred <fsmithred@gmail.com>  Tue, 19 Feb 2019 15:40:00 -0500


refractainstaller-gui (9.5.0) unstable; urgency=low

  * Set root path to include sbin directories. (for Buster/Beowulf)
  * Eliminate sudo/su question in wrapper script. Try sudo first.
  * Shorten log name to refractainstaller.log
  * Changed yad version test to 0.27 or newer needed. (This is a guess.)
  * Changed wording for sshd_config (s/without-password/prohibit-password)

 -- fsmithred <fsmithred@gmail.com>  Mon, 26 Nov 2018 13:50:00 -0500


refractainstaller-gui (9.4.3) unstable; urgency=low

  * Use zless to read gzipped installer_help file.
  * Fixed 'disable tdm autologin'
  * Improved wording in username_dialog for sudo options.

 -- fsmithred <fsmithred@gmail.com>  Wed, 07 Nov 2018 10:00:00 -0500

refractainstaller-gui (9.4.2) unstable; urgency=low

  * Add support for virtual disks (/dev/vd[a-z])
  * sudo-for-shutdown box no longer pre-checked.
  * Add test to copy_grub_packages()
  * Remove Recommends. (-base pkg has it)

 -- fsmithred <fsmithred@gmail.com>  Wed, 23 May 2018 17:02:00 -0400


refractainstaller-gui (9.4.1) unstable; urgency=low

  * Do not re-use $home_part for crypttab. Use new var.
  * Do not mount $home_part to target_home if keeping old /home.

 -- fsmithred <fsmithred@gmail.com>  Mon, 07 May 2018 15:02:00 -0400


refractainstaller-gui (9.4.0) unstable; urgency=low

  * Use LC_ALL=C for fdisk -l to accommodate other locales.
  * Test for gpt and for BIOS boot partition and warn if it's needed.
  * Allow re-run partitioner within the installer.
  * Improved test_hostname() to play nice with xgettext. (Blinkdog)
  * Add '-k all' to update-initramfs for cryptsetup.
  * Select EFI partition from list if there are more than one.
  * Test for unformatted EFI partition.
  * umount /target/boot/efi in cleanup.
  * Add lxdm autologin settings.
  * Removed 'no-bootloader' from options menu - redundant.
  * Add support for re-using an existing /home partition (keep files.)
  * Fixed bug: encrypted /home gets incorrect fstab entry.
  * Allow full-disk encryption (encrypted /boot in root filesystem)
  * use_uuid for crypttab.
  
 -- fsmithred <fsmithred@gmail.com>  Fri, 04 May 2018 15:30:00 -0400


refractainstaller-gui (9.3.3) unstable; urgency=low

  * Run grub-install after copy debs in case debconf does not run.
  * select_grub_dev if grub-pc is copied to /target and installed.
  * Use default reserved blocks with new ext filesystems.
  * Test for unformatted EFI partition.
  * Merged uefi and bios installer scripts.
 
 -- fsmithred <fsmithred@gmail.com>  Sat, 30 Dec 2017 20:16:00 -0500


refractainstaller-gui (9.2.3) unstable; urgency=low

  * Fixed some typos.
  * Wrapper script starts installer in debug mode for verbose log.
  * Exclude dbus/machine-id and popularity-contest.conf.

 -- fsmithred <fsmithred@gmail.com>  Sun, 19 Nov 2017 15:00:00 -0500
 

refractainstaller-gui (9.2.2) unstable; urgency=low

  * Wrapper script tests for efi and selects correct installer.
  * Better instructions at chroot terminal.
  * Look for 'EFI System' in fdisk output, not just 'EFI'
  * Simple install gets pre/post install scripts.
  * Require text-entry if two EFI partitions are present.

 -- fsmithred <fsmithred@gmail.com>  Fri, 14 Apr 2017 08:21:00 -0400


refractainstaller-gui (9.2.1) unstable; urgency=low

  * Included refractainstaller-uefi and uefi_install.readme in package.
  * Fixed regression. disable_auto_console gets set with disable_auto_desktop again.
  * Replaced cfdisk with cgdisk in uefi installer.
  * Reversed listing of filesystem types; ext4 is now first.
  * Added support for text translations.
  * Added support for nvme disks and sd/mmc devices.
  * Removed obsolete code relating to clamav.
  * EFI partition found with fdisk; parted is not needed.
  
 -- fsmithred <fsmithred@gmail.com>  Thu, 16 Feb 2017 11:42:00 -0500  



refractainstaller-gui (9.2.0) unstable; urgency=low

  * Script exits with warning if started on uefi system.
  
 -- fsmithred <fsmithred@gmail.com>  Tue, 20 Sep 2016 22:30:00 -0400



refractainstaller-gui (9.1.9) unstable; urgency=low

  * Fixed enabled autologin on installed system.
  
 -- fsmithred <fsmithred@gmail.com>  Mon, 16 Sep 2016 16:45:00 -0400



refractainstaller-gui (9.1.8) unstable; urgency=low

  * Added support for slim login manager to disable autologin.
  
 -- fsmithred <fsmithred@gmail.com>  Sun, 08 May 2016 11:45:00 -0400



refractainstaller-gui (9.1.7) unstable; urgency=low

  * Fixed test for live session.
  * Dropped support for zenity and removed the dependency.
  
 -- fsmithred <fsmithred@gmail.com>  Fri, 05 Feb 2016 10:45:00 -0500



refractainstaller-gui (9.1.6-1) unstable; urgency=low

  * Yad windows are now centered.
  * Moved root test after options.

 -- fsmithred <fsmithred@gmail.com>  Wed, 24 Nov 2015 13:28:00 -0500



refractainstaller-gui (9.1.6) unstable; urgency=low

  * Detect swap partitions, choose from list.
  * Moved grub from Depends to Recommends.
  
 -- fsmithred <fsmithred@gmail.com>  Wed, 21 Oct 2015 22:28:00 -0400



refractainstaller-gui (9.1.4-1) unstable; urgency=low

  * Removed "/bin/bash" from grub-install to partition.

 -- fsmithred <fsmithred@gmail.com>  Thu, 30 Apr 2015 14:35:00 -0400



refractainstaller-gui (9.1.4) unstable; urgency=low

  * Added support for additional separate partitions.
  * Added progress window for grub-install.
  * Error log gets copied to primary user's home.

 -- fsmithred <fsmithred@gmail.com>  Wed, 04 Feb 2015 20:40:00 -0500



refractainstaller-gui (9.1.3) unstable; urgency=low

  * Removed '-t type' from mount commands for chroot.

 -- fsmithred <fsmithred@gmail.com>  Mon, 08 Dec 2014 22:30:00 -0500



refractainstaller-gui (9.1.2) unstable; urgency=low

  * Fixed syntax error in refractainstaller-yad
  * Delete /etc/profile.d/zz-live-config_xinit.sh to disable autologin
  * when there is no display manager
  * Removed '-hold' from xterm in wrapper script.

 -- fsmithred <fsmithred@gmail.com>  Fri, 24 Oct 2014 14:30:00 -0400



refractainstaller-gui (9.1.1) unstable; urgency=low

  * Accepted changes from David Hare in version 9.1.0+dzz3
  *		-improved handling of sudo and passwords
  *		-added "$" to yad windows for future translations
  *		-added rsync filters for lost+found
  * Option to allow password auth for users on ssh.
  * Option to allow sudo for halt, reboot, hibernate, suspend.
  * New wrapper script requires xterm instead of gksu.
  * Note: The zenity-based script has not been updated from 9.1.0.

 -- fsmithred <fsmithred@gmail.com>  Tue, 21 Oct 2014 16:45:00 -0400



refractainstaller-gui (9.1.0) unstable; urgency=low

  * updated tests for special characters in hostname (for jessie/sid)
  * Changed the way sudo is handled:
  *		-remove sudoers.d/live
  *		-remove username from sudoers
  *		-add user to sudo group if sudo is desired
  * Added graphical entry for passwords and cryptsetup passphrase.
  * Increased height of some zenity windows.
  * If live-tools is not installed, use stock update-initramfs.
  * Commented-out old lines for update-initramfs.[distrib|debian]


 -- fsmithred <fsmithred@gmail.com>  Fri, 28 Mar 2014 10:30:00 -0400



refractainstaller-gui (9.0.9beta7) unstable; urgency=low

  * Fixed bug that did not copy separate /home.


 -- fsmithred <fsmithred@gmail.com>  Fri, 11 Dec 2013 07:45:00 -0500



refractainstaller-gui (9.0.9beta6) unstable; urgency=low

  * Zenity version now allows grub in partition.
  * Pre-install and post-install scripts are switched on in config file
  * and can be switched off in expert options menu.
  * Added test for live session with warning if not running live.
 

 -- fsmithred <fsmithred@gmail.com>  Fri, 06 Dec 2013 15:05:00 -0500



refractainstaller-gui (9.0.9beta5) unstable; urgency=low

  * GUI installers run from terminal (again.)
  * Removed refractainstaller_config. (gui scripts require config file)
  * Added pre-install scripts.


 -- fsmithred <fsmithred@gmail.com>  Tue, 21 Nov 2013 10:30:00 -0500



refractainstaller-gui (9.0.9beta4) unstable; urgency=low

  * Added config for post-install scripts.
  * Added post-install scripts to set locale and timezone,
  * and to remove installer icon from desktop.
  * Cleaned up some window buttons in yad version.
  * Changed method to exclude /boot/* and /home/* when they're separate.
  

 -- fsmithred <fsmithred@gmail.com>  Tue, 19 Nov 2013 23:35:00 -0500



refractainstaller-gui (9.0.9beta3) unstable; urgency=low

  * no_format option added to zenity-based script.
  * no_format was added to yad-based script in beta2 but not noted
  * in changelog.
  
  
 -- fsmithred <fsmithred@gmail.com>  Sat, 02 Nov 2013 17:26:00 -0400



refractainstaller-gui (9.0.9beta2) unstable; urgency=low

  * Changed 'blkid -s LABEL' to 'blkid  -c /dev/null -s LABEL' to see
  * labels if they were changed since boot (since blkid.tab was created)
  * Keep $enable_updatedb in case it was disabled by older version of
  * refractasnapshot (before 9.0.9-5)
  
  
 -- fsmithred <fsmithred@gmail.com>  Wed, 30 Oct 2013 19:50:00 -0400



refractainstaller-gui (9.0.9beta1) unstable; urgency=low

  * Test for Yad version in wrapper and in main script.
  * Drop "--root-directory=/target" from grub-install for jessie/sid.
  * Changed wording to edit /etc/sudoers. (Not always "last line")
  * Zenity version now allows installing GRUB to a partition.
  * (Note: CLI version does not install GRUB to partition.)
  * Added debug mode.
  * Removed $enable_updatedb to match refractasnapshot gui/base 9.0.9-5
  * Added/changed exits, mostly in zenity version.
  * Existing disk labels get used if $use_labels = yes.
  

 -- fsmithred <fsmithred@gmail.com>  Mon, 21 Oct 2013 09:12:00 -0400
 
 

refractainstaller-gui (9.0.8-3) unstable; urgency=low

  * Use /usr/sbin/update-initramfs.orig.initramfs-tools
  * Changed root-fs and home-fs to root_fs and home_fs
  * if $new_hostname null; then	new_hostname="$HOSTNAME"


 -- fsmithred <fsmithred@gmail.com>  Sun, 31 Aug 2013 23:00:00 -0400



refractainstaller-gui (9.0.8-2) unstable; urgency=low

  * minor changes in UI - wording and window size
  * fixed zenity window for choose_swap


 -- fsmithred <fsmithred@gmail.com>  Tue, 09 Apr 2013 09:25:00 -0500



refractainstaller-gui (9.0.8-1) unstable; urgency=low

  * Added /etc/fstab.d/* to excludes


 -- fsmithred <fsmithred@gmail.com>  Tue, 26 Mar 2013 11:15:00 -0500



refractainstaller-gui (9.0.8) unstable; urgency=low

  * Fixed bug that left no hostname if you didn't choose to change it.
  * Added option to use existing swap partition. (gui version only)
  

 -- fsmithred <fsmithred@gmail.com>  Tue, 05 Feb 2013 06:05:00 -0500



refractainstaller-gui (9.0.7) unstable; urgency=low

  * Added /lib/live/mount and /run/* to excludes file
  * Option to change hostname now checks for illegal characters.
  * Removed dead code and useless echoes.
  * Removed some zenity windows from the yad version.


 -- fsmithred <fsmithred@gmail.com>  Fri, 14 Dec 2012 10:55:00 -0500



refractainstaller-gui (9.0.6-1) unstable; urgency=low

  * Removed ALL quotes from uuid in fstab.


 -- fsmithred <fsmithred@gmail.com>  Tue, 13 Nov 2012 10:29:00 -0500



refractainstaller-gui (9.0.6) unstable; urgency=low

  * cfdisk will open in xterm if you choose to use it.
  * Added support for disk labels (filesystem labels).
  * Disable autologin to console and to desktop are now separate options.
  * Yad version of installer is included, .desktop file points to a 
  * wrapper script that checks for yad and zenity. Yad used if present.
  * Removed quotes from uuid in fstab.
  * Eliminated need to open gui installer in terminal and added xterm
  * to dependencies.


 -- fsmithred <fsmithred@gmail.com>  Mon, 12 Nov 2012 10:29:00 -0500
 
 

refractainstaller-gui (9.0.5-3) unstable; urgency=low

  * Fixed code for $enable_freshclam and $root_ssh
  * Fixed code for $pmount_fixed and $enable_updatedb
  * Restored separate rsync excludes file for separate /home and /boot.
  

 -- fsmithred <fsmithred@gmail.com>  Sun, 05 Aug 2012 21:29:00 -0400



refractainstaller-gui (9.0.5-2) unstable; urgency=low

  * Removed separate rsync excludes file for separate /home and /boot.
  * Added setting for rsync excludes file to config file.
  * Added comments to config file.
  * Added refractainstaller_configuration function in case config file is missing.
  * Added /home/*/.gvfs to rsync excludes
 

 -- fsmithred <fsmithred@gmail.com>  Sun, 22 Jul 2012 11:29:00 -0400



refractainstaller-gui (9.0.5-1) unstable; urgency=low

  * Added config file with options for swapfile size, and to enable
  * or disable pmount for fixed drives, updatedb, freshclam, and root
  * login through ssh.
  
    
 -- fsmithred <fsmithred@gmail.com>  Sun, 24 Jun 2012 11:29:00 -0400



refractainstaller-gui (9.0.5) unstable; urgency=low

  * Added help_text and options -h and -v
  * freshclam gets re-enabled if it was disabled by snapshot.
  * Made variables for swapfile block size and count.
  * Disable console autologin (replace /etc/inittab with stock debian)
    
  
 -- fsmithred <fsmithred@gmail.com>  Tue, 19 Jun 2012 20:29:00 -0400
   
  

refractainstaller-gui (9.0.4) unstable; urgency=low

  * Added option to change hostname.
  * Disable autologin in gdm, gdm3, kde3, kde4, trinity, lightdm.
  * Added option to use uuid in fstab only if not using encryption.
  * Added separate rsync excludes file for separate /home and /boot.


 -- fsmithred <fsmithred@gmail.com>  Wed, 13 Jun 2012 15:19:00 -0400



refractainstaller-gui (9.0.2-2) unstable; urgency=low

  * Comment the line in /etc/pmount.allow, so that users can not
    mount/unmount fixed drives when running the installed system.


 -- fsmithred <fsmithred@gmail.com>  Sun, 08 Jan 2012 08:00:00 -0500



refractainstaller-gui (9.0.2) unstable; urgency=low

  * Installer now sees more than 9 partitions on a hard disk.
  * Fixed code for changing the primary user's real name.
  * Output of grub-install gets redirected to error log.
  * Installer can edit config files in ~/.local to change the old
    user name to the new one.

 -- fsmithred <fsmithred@gmail.com>  Wed, 02 Nov 2011 11:34:00 -0400



refractainstaller-gui (9.0.1-2) unstable; urgency=low

  * Added grub-legacy as optional dependency.
  * Edited refractainstaller.desktop to use 'su -c' to maintain control
    over terminal for text entry during the gui installation.

 -- fsmithred <fsmithred@gmail.com>  Thu, 29 Sep 2011 11:34:00 -0400 



refractainstaller-gui (9.0.1-1) unstable; urgency=low

  * Script makes sure /usr/bin/updatedb.mlocate is executable since it
  was turned off by refractasnapshot for live-CD.
  * added tests in cli version - if gparted not installed or if not
  running in xsession, option to use cfdisk or exit is offered.
	
 -- fsmithred <fsmithred@gmail.com>  Tue, 06 Sep 2011 17:07:22 -0400



refractainstaller (9.0.0) 

  * refractainstaller-8.0.3 was converted to a bash script. Options
  were added for more diverse system configurations (separate /home,
  separate /boot, and disk encryption.) Graphical environment was
  added with zenity.
	
  * refractainstaller-new and refractainstaller.sh-nogui (20110410)
  are succeeded by (refractainstaller and refractainstaller.sh) or
  (refractainstaller-gui and refractainstaller) version 9.0.0 
  to replace the old python versions.
	
  * Added --help and --version options to cli version.
	
  * installer_exclude.list now copied to $(pwd)/installer_exclude.list
  instead of ./exclude.list

 -- fsmithred <fsmithred@gmail.com>   April 2011
